/* GTK - The GIMP Toolkit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * Modified by the GTK+ Team and others 1997-2000.  See the AUTHORS
 * file for a list of people on the GTK+ Team.  See the ChangeLog
 * files for a list of changes.  These files are distributed with
 * GTK+ at ftp://ftp.gtk.org/pub/gtk/. 
 */

#ifndef __OWL_PANED_H__
#define __OWL_PANED_H__

#include <gtk/gtkpaned.h>

G_BEGIN_DECLS

#define OWL_TYPE_PANED		   (owl_paned_get_type ())
#define OWL_PANED(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OWL_TYPE_PANED, OwlPaned))
#define OWL_PANED_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OWL_TYPE_PANED, OwlPanedClass))
#define OWL_IS_PANED(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OWL_TYPE_PANED))
#define OWL_IS_PANED_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OWL_TYPE_PANED))
#define OWL_PANED_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), OWL_TYPE_PANED, OwlPanedClass))


typedef struct _OwlPaned      OwlPaned;
typedef struct _OwlPanedClass OwlPanedClass;

struct _OwlPaned
{
  GtkPaned paned;
};

struct _OwlPanedClass
{
  GtkPanedClass parent_class;
};

GType      owl_paned_get_type (void) G_GNUC_CONST;
GtkWidget *owl_paned_new      (void);

G_END_DECLS

#endif /* __OWL_PANED_H__ */
