/*
 * Copyright (C) 2006 Ross Burton <ross@openedhand.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __OWL_TREE_MODEL_SLICE_H__
#define __OWL_TREE_MODEL_SLICE_H__

#include <gtk/gtktreemodel.h>

G_BEGIN_DECLS

#define OWL_TYPE_TREE_MODEL_SLICE              (owl_tree_model_slice_get_type ())
#define OWL_TREE_MODEL_SLICE(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OWL_TYPE_TREE_MODEL_SLICE, OwlTreeModelSlice))
#define OWL_TREE_MODEL_SLICE_CLASS(vtable)     (G_TYPE_CHECK_CLASS_CAST ((vtable), OWL_TYPE_TREE_MODEL_SLICE, OwlTreeModelSliceClass))
#define OWL_IS_TREE_MODEL_SLICE(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OWL_TYPE_TREE_MODEL_SLICE))
#define OWL_IS_TREE_MODEL_SLICE_CLASS(vtable)  (G_TYPE_CHECK_CLASS_TYPE ((vtable), OWL_TYPE_TREE_MODEL_SLICE))
#define OWL_TREE_MODEL_SLICE_GET_CLASS(inst)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OWL_TYPE_TREE_MODEL_SLICE, OwlTreeModelSliceClass))

typedef struct _OwlTreeModelSlice          OwlTreeModelSlice;
typedef struct _OwlTreeModelSliceClass     OwlTreeModelSliceClass;
typedef struct _OwlTreeModelSlicePrivate   OwlTreeModelSlicePrivate;

struct _OwlTreeModelSlice
{
  GObject parent;

  /*< private >*/
  OwlTreeModelSlicePrivate *priv;
};

struct _OwlTreeModelSliceClass
{
  GObjectClass parent_class;
};

GType         owl_tree_model_slice_get_type                   (void) G_GNUC_CONST;
GtkTreeModel *owl_tree_model_slice_new                        (GtkTreeModel                 *child_model,
                                                                GtkTreePath                  *root);

GtkTreeModel *owl_tree_model_slice_get_model                  (OwlTreeModelSlice           *slice);

void owl_tree_model_slice_set_root (OwlTreeModelSlice *slice, GtkTreePath *root);

/* TODO */
void          owl_tree_model_slice_convert_child_iter_to_iter (OwlTreeModelSlice           *slice,
                                                                GtkTreeIter                  *slice_iter,
                                                                GtkTreeIter                  *child_iter);
void          owl_tree_model_slice_convert_iter_to_child_iter (OwlTreeModelSlice           *slice,
                                                                GtkTreeIter                  *child_iter,
                                                                GtkTreeIter                  *slice_iter);
GtkTreePath  *owl_tree_model_slice_convert_child_path_to_path (OwlTreeModelSlice           *slice,
                                                                GtkTreePath                  *child_path);
GtkTreePath  *owl_tree_model_slice_convert_path_to_child_path (OwlTreeModelSlice           *slice,
                                                                GtkTreePath                  *slice_path);

G_END_DECLS

#endif /* __OWL_TREE_MODEL_SLICE_H__ */
